<?php
/**
  * Ahead WebSoft Technologies Pvt Ltd.
  * @copyright  Copyright 2006-2026 Ahead WebSoft Technologies Pvt Ltd.
  * @license    https://www.socialengine.com/policies
*/
class Engine_View_Helper_HeadTitle extends Zend_View_Helper_HeadTitle
{
    /**
     * @overwrite
     */
    protected function _escape($string)
    {
        $enc = 'UTF-8';
        if ($this->view instanceof Zend_View_Interface
            && method_exists($this->view, 'getEncoding')
        ) {
            $enc = $this->view->getEncoding();
        }
        // Does not encode any quotes form title
        return htmlspecialchars((string) $string, ENT_NOQUOTES, $enc);
    }
}
